## id3mux id3mux |

## Properties

gint | v2-version | Read / Write / Construct
gboolean | write-v1 | Read / Write / Construct
gboolean | write-v2 | Read / Write / Construct

## Types and Values

struct | GstId3Mux

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstTagMux
                        ╰── GstId3Mux

## Implemented Interfaces

GstId3Mux implements GstTagSetter.

## Description

This element adds ID3v2 tags to the beginning of a stream, and ID3v1 tags to the end.

It defaults to writing ID3 version 2.3.0 tags (since those are the most widely supported), but can optionally write version 2.4.0 tags.

Applications can set the tags to write using the GstTagSetter interface. Tags sent by upstream elements will be picked up automatically (and merged according to the merge mode set via the tag setter interface).

#### Example pipelines

    1
    gst-launch-1.0 -v filesrc location=foo.ogg ! decodebin ! audioconvert ! id3mux ! filesink location=foo.mp3

A pipeline that transcodes a file from Ogg/Vorbis to mp3 format with ID3 tags that contain the same metadata as the the Ogg/Vorbis file. Make sure the Ogg/Vorbis file actually has comments to preserve.

    1
    gst-launch-1.0 -m filesrc location=foo.mp3 ! id3demux ! fakesink silent=TRUE

Verify that tags have been written.

## Synopsis

### Element Information

plugin | id3tag
author | Michael Smith <msmith@songbirdnest.com>, Tim-Philipp Müller <tim centricular net>
class | Formatter/Metadata

### Element Pads

name | sink
direction | sink
presence | always
details | ANY

name | src
direction | source
presence | always
details | application/x-id3

## Functions

## Types and Values

### struct GstId3Mux

    struct GstId3Mux;

## Property Details

### The `“v2-version”` property

      “v2-version”               gint

Set version (3 for id3v2.3, 4 for id3v2.4) of id3v2 tags.

Flags: Read / Write / Construct

Allowed values: [3,4]

Default value: 3

### The `“write-v1”` property

      “write-v1”                 gboolean

Write an id3v1 tag at the end of the file.

Flags: Read / Write / Construct

Default value: FALSE

### The `“write-v2”` property

      “write-v2”                 gboolean

Write an id3v2 tag at the start of the file.

Flags: Read / Write / Construct

Default value: TRUE

## See Also

GstID3Demux, GstTagSetter